#
# spec file for package dietlibc (Version 0.11)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         dietlibc
Copyright:    GPL
Group:        Development/Libraries
Provides:     dietlibc diet
Autoreqprov:  on
Version:      0.11
Release:      23
Source0:      http://www.fefe.de/dietlibc/%{name}-%{version}.tar.bz2
Patch:        %{name}-cvs-20010828.diff
Patch1:       scanf.diff
Patch2:       makefile.diff
Patch3:       dietlibc.dif
URL:          http://www.fefe.de/dietlibc/
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      A libc optimized for small size

%description
The diet libc is a libc that is optimized for small size.
It can be used to create small statically linked binaries
for Linux on many platforms.

Authors:
--------
    Felix von Leitner <felix-dietlibc@fefe.de>

SuSE series: d

%define prefix   /opt/dietlibc
%prep
%setup -n %{name}
pwd
patch -p1 < %{P:0}
patch -p1 < %{P:1}
patch -p1 < %{P:2}
patch -p0 < %{P:3}
for i in `find . -type f -name \*.c | xargs grep '^link_warning' | grep bloat | cut -d: -f1`; do
	sed 's:link_warning:// link_warning:g' $i > $i.tmp
	mv $i.tmp $i
done
rm -fv /usr/bin/diet
rm -fv diet.1.gz
%{?suse_update_config:%{suse_update_config}}

%build
make
rm -f bin-$RPM_ARCH/diet
make HOME=%{prefix} bin-$RPM_ARCH/diet
touch -c bin-$RPM_ARCH/elftrunc

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
# make INSTALLPREFIX=$RPM_BUILD_ROOT/%{prefix} install
mkdir -vp $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/%{prefix}/bin-$RPM_ARCH $RPM_BUILD_ROOT/%{_mandir}/man1
cd bin-$RPM_ARCH
ln -sv dietlibc.a libdietc.a
cp -av start.o dyn_*.o lib*.a dietlibc.a diet elftrunc $RPM_BUILD_ROOT/%{prefix}/bin-$RPM_ARCH
cd ..
ln -sv %{prefix}/bin-$RPM_ARCH/diet %{prefix}/bin-$RPM_ARCH/elftrunc $RPM_BUILD_ROOT/usr/bin
cp -a include $RPM_BUILD_ROOT/%{prefix}
ln -sv bin-$RPM_ARCH $RPM_BUILD_ROOT/%{prefix}/lib
ln -sv bin-$RPM_ARCH $RPM_BUILD_ROOT/%{prefix}/bin
# rm -f $RPM_BUILD_ROOT/%{prefix}/bin-$RPM_ARCH/*.o 	
gzip -c diet.1 > $RPM_BUILD_ROOT/%{_mandir}/man1/diet.1.gz

%post

%postun

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHOR BUGS CAVEAT CHANGES COPYING FAQ README TODO THANKS
%doc %{_mandir}/man1/diet.1.gz
%{prefix}
/usr/bin/diet
/usr/bin/elftrunc

%changelog -n dietlibc
* Mon Sep 03 2001 - kukuk@suse.de
- Remove broken #if case, compiler will optimize normal code
* Tue Aug 28 2001 - mludvig@suse.cz
- Initial release based on dietlibc-0.11
- Added support for %%n in *scanf
- Added pivot_root(2) syscall
- Synced to dietlibc's CVS
